Subject: Re: [PATCH 2/2] powerpc: Update of_remove_property() call sites to remove null checking

From: Suraj Jitindar Singh <[email-masked]>
Date: Fri, 6 May 2016 11:01:26 +1000

On 05/05/16 16:50, Michael Ellerman wrote:
> On Tue, 2016-05-03 at 15:32 -0700, Tyrel Datwyler wrote: >> On 04/27/2016 10:34 PM, Suraj Jitindar Singh wrote: >>> diff --git a/arch/powerpc/platforms/pseries/mobility.c b/arch/powerpc/platforms/pseries/mobility.c >>> index ceb18d3..a560a98 100644 >>> --- a/arch/powerpc/platforms/pseries/mobility.c >>> +++ b/arch/powerpc/platforms/pseries/mobility.c >>> @@ -191,8 +191,8 @@ static int update_dt_node(__be32 phandle, s32 scope) >>>                  break; >>>  >>>              case 0x80000000: >>> -                prop = of_find_property(dn, prop_name, NULL); >>> -                of_remove_property(dn, prop); >>> +                of_remove_property(dn, of_find_property(dn, >>> +                            prop_name, NULL)); >>>                  prop = NULL; >>>                  break; >>> >> >> You haven't removed a NULL check here, as suggested by the changelog, >> but instead made a cosmetic change to the code that still leaves behind >> a now unnecessary "prop = NULL;" to bit rot. > > Yeah I think you're right. Though it's not
very clear how prop is used in that > function. > > Please one of you send me an incremental to remove the prop = NULL; > > cheers >

I didn't delete the prop = NULL; initially as I didn't fully understand
how it was used in the rest of the function and the effect of deleting
it.